#
# spec file for package python-traceback2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-traceback2
Version:        1.4.0
Release:        lp150.1.6
Summary:        Backports of the traceback module
# This is a backport of code taken from the Python codebase,
# and such is under the same license as Python as a whole.
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://github.com/bitprophet/traceback2
Source:         https://pypi.io/packages/source/t/traceback2/traceback2-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-linecache2
Requires:       python-pbr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
A backport of traceback to older supported Pythons.

%prep
%setup -q -n traceback2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst AUTHORS ChangeLog
# Contains the license
%doc setup.cfg
%{python_sitelib}/traceback2
%{python_sitelib}/traceback2-%{version}-py*.egg-info

%changelog
* Mon May 22 2017 tbechtold@suse.com
- Add missing python-linecache2 Requires
* Wed Mar  1 2017 aloisio@gmx.com
- Converted to single-spec
- Replaced the source URL with pypi.io link
* Wed Oct 14 2015 toddrme2178@gmail.com
- Add license explanation.
* Tue Oct 13 2015 toddrme2178@gmail.com
- Fix license.  Should be Python-2.0
* Mon Oct 12 2015 toddrme2178@gmail.com
- Initial python 2 version
* Sat Mar 14 2015 arun@gmx.de
- initial version
